package po

import (
	"plugins/alipay_redpack/internal/vo"
)

type QueryReq struct {
	OutBizNo    string `json:"out_biz_no"`
	OrderId     string `json:"order_id"`
	ProductCode string `json:"product_code"`
	BizScene    string `json:"biz_scene"`
}

type QueryResp struct {
	Data QueryRespData `json:"alipay_fund_trans_common_query_response"`
	Sign string        `json:"sign"`
}

type QueryRespData struct {
	Code    vo.Code `json:"code"`
	Msg     string  `json:"msg"`
	SubCode string  `json:"subCode"`
	SubMsg  string  `json:"subMsg"`

	OrderId            string    `json:"order_id"`
	OutBizNo           string    `json:"out_biz_no"`
	Status             vo.Status `json:"status"`
	PayFundOrderId     string    `json:"pay_fund_order_id"`
	TransAmount        string    `json:"trans_amount"`
	PayDate            string    `json:"pay_date"`
	ArrivalTimeEnd     string    `json:"arrival_time_end"`
	OrderFee           string    `json:"order_fee"`
	ErrorCode          string    `json:"error_code"`
	FailReason         string    `json:"fail_reason"`
	SubOrderErrorCode  string    `json:"sub_order_error_code"`
	SubOrderFailReason string    `json:"sub_order_fail_reason"`
	SubOrderStatus     string    `json:"sub_order_status"`
	SettleSerialNo     string    `json:"settle_serial_no"`
}
